Error: 401 - Unauthorized

RESOLVED WORKSFORME

Status

Chat Core
Twitter
--
critical
RESOLVED WORKSFORME
4 years ago
4 years ago

People

(Reporter: Instantbot, Unassigned)

Tracking

x86
Windows XP

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
*** Original post on bio 1352 by datastore AT mail.ru at 2012-03-23 23:22:00 UTC ***

I've authorized Instantbird to use my account. But I didn't received pin code from twitter and Instantbird didn't ask pin code. Instantbird try to connect Twitter and only receive timeline messages. But Instantbird write constantly  

Connected for a few seconds
Error: 401 - Unauthorized
Reconnection in 4 minutes and 59 seconds

And I can't write to twitter. Instanbird shows 10:15:54 - An error (Invalid / expired Token) occurred while sending: hi all
Error: 401 - Unauthorized
Source File: resource:///modules/http.jsm
Line: 90

Errors in console:

Error: 401 - {"error":"Invalid \/ expired Token","request":"\/1\/statuses\/update.json"}
Source File: resource:///modules/http.jsm
Line: 90

Error: 401 - {"request":"/1/statuses/mentions.json?include_entities=1&count=200","error":"Not authorized"}
Source File: jar:file:///D:/Total%20Commander/Utils/Instantbird/omni.jar!/components/twitter.js
Line: 547
Source Code:
twitter

Error: 503 - Service Unavailable
Source File: jar:file:///D:/Total%20Commander/Utils/Instantbird/omni.jar!/components/twitter.js
Line: 547
Source Code:
twitter

Error: 503 - Service Unavailable
Source File: resource:///modules/http.jsm
Line: 90



Please help me!
*** Original post on bio 1352 at 2012-04-01 19:09:28 UTC ***

Hmmm... according to [1] this occurs "Authentication credentials were missing or incorrect."

There is no pin code to authorize Twitter with Instantbird, we use a callback to get the data. Did a window pop up asking you to sign into Twitter and then asking if you'd like to allow Instantbird to access your information (or something like that, I forget exactly what it says). Can you check the "Apps" page of your user settings on Twitter.com and ensure that Instantbird is listed as an authorized application?

[1] https://dev.twitter.com/docs/error-codes-responses
(Reporter)

Comment 2

4 years ago
*** Original post on bio 1352 by datastore AT mail.ru at 2012-04-02 03:30:20 UTC ***

[q]Did a window pop up asking you to sign into Twitter and then
asking if you'd like to allow Instantbird to access your information[/q]
Yes, it did. And I gave my login and password. And Instantbird received timeline messages. But after that Instantbird write constantly what I wrote in the first message.

[q]Can you check the "Apps" page of your user settings on Twitter.com and ensure that Instantbird is listed as an authorized application?[/q]
Yes, it is an authorized application.
*** Original post on bio 1352 at 2012-04-17 20:24:45 UTC ***

Has this issue repeated itself or can you log in OK to Twitter now?
*** Original post on bio 1352 at 2012-05-02 10:41:09 UTC ***

I'm assuming this was a temporary Twitter server issues, reopen this if this is still a problem.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.